/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//création de la librairie pour l'ecran LCD et initialisation de l'écran LCd
#include <LiquidCrystal.h>
LiquidCrystal lcd(8, 9, 4, 5, 6, 7);
#include <Wire.h>
/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//initialisation de variables diverses
boolean bp;
boolean bd;
byte TAPE;
byte TOP;
byte Mc;
byte MAS;
byte randNumber;
byte speakerPin;
int var;
int Number;
int LCD;
int RST;
int RST2;
double Tps;
double garot;
double tpgarot;
double RGAROT;
long C1;
long RC1;
long C2;
long CC1;
long CC2;
long RC2;
/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Initialisation des caracteres speciaux
byte A[8] = {
  B00100, //   *
  B00100, //   *
  B00100, //   *
  B00100, //   *
  B00100, //   *
  B10101, // * * *
  B01110, //  ***
  B00100  //   *
};
byte B[8] = {
  0b00100, //   *
  0b01110, //  ***
  0b10101, // * * *
  0b00100, //   *
  0b00100, //   *
  0b00100, //   *
  0b00100, //   *
  0b00100  //   *
};
byte C[8] = {
  B01110, // ***
  B11111, //*****
  B11111, //*****
  B11111, //*****
  B01111, // ****
  B00111, //  ***
  B00011, //   **
  B00001 //     *
};


byte D[8] = {
  B01110,// ***
  B11111,//*****
  B11111,//*****
  B11111,//*****
  B11110,//****
  B11100,//***
  B11000,//**
  B10000//*
};
byte E[8] = {
  B00000,//
  B00000,//
  B00000,//
  B01000,// *
  B10100,//* *
  B00101,//  * *
  B00010,//   *
  B00010//   *
};

byte F[8] = {
  B01000,// *
  B01000,// *
  B10100,//* *
  B10100,//* *
  B10101,//* * *
  B00010,//   *
  B00000,//
  B00000//
};
byte G[8] = {
  B11111,//*****
  B10001,//*   *
  B01010,// * *
  B00100,//  *
  B00100,//  *
  B01010,// * *
  B10001,//*   *
  B11111// *****
};
/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Initialisation et Fonction pour les informations sonores
char notes[] = "EE E CE G  g  C  g e  a b ia gEGA FG E CDb C  g e  a b ia gEGA FG E CDb  GNFR E uaC aCD GNFR E 1 11   GNFR E uaC aCD L  D C   CC C CD EC ag  CC C CDE  CC C CD EC ag  EE E CE G  g  C  g e  a b ia gEGA FG E CDb C  g e  a b ia gEGA FG E CDb EC g u aF Fa  bAAAGFEC ag  EC g u aF Fa  bF FFEDCe ec  ";
byte beats[] = { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1};
int tempo = 95;
void playTone(int ton1, int duration) {
  for (long i = 0; i < duration * 1000L; i += ton1) {
    tone(speakerPin, ton1);
    delayMicroseconds(ton1);
  }
  noTone(speakerPin);
}
void playNote(char note, int duration) {
  //                        c    c#   d    d#   e    f    f#   g    g#   a    a#   b
  char names[] = { ' ',  '!', '2', '3', '4', '5', '6', '7', '8', '9', '0', '-', '=', 'c', 'd', 'e', 'f', 'g', 'a', 'b', 'C', 'D', 'E', 'F', 'G', 'A', 'B', 'i', 'N', 'R', 'u',  '1', 'L', 'k'};
  int tones[] =  {   0, 1046, 138, 146, 155, 164, 174, 184, 195, 207, 220, 233, 246, 261, 293, 329, 349, 391, 440, 493, 523, 587, 659, 698, 783, 880, 987, 466, 740, 622, 415, 1046, 622u, 227};
  for (int i = 0; i < 34; i++) {
    if (names[i] == note) {
      playTone(tones[i], duration);
    }
  }
}
void SON() //Fonction Son d'acceuil
{
  for (int i = 0; i < 13; i++) {
    if (notes[i] == ' ') {
      delay(beats[i] * tempo);
    } else {
      playNote(notes[i], beats[i] * tempo);
    }
    delay(tempo / 2);
  }
}
void OK() //Fonction Son de réussite
{
  tone(speakerPin, 293, 50);
  delay(125);
  tone(speakerPin, 369, 100);
  delay(175);
  tone(speakerPin, 493, 150);
  delay(1000);
}
/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Fonction affichage Ecran d'acceuil
void ACCEUIL()
{
  LCD = analogRead(A0);
  lcd.setCursor(4, 0);
  lcd.write("A Single");
  lcd.setCursor(2, 1);
  lcd.write("Life Project");
  lcd.setCursor (0, 0);
  lcd.write(byte(3));
  lcd.setCursor (1, 0);
  lcd.write(byte(4));
  LCD = analogRead(A0);
  lcd.setCursor (14, 0);
  lcd.write(byte(5));
  lcd.setCursor (15, 0);
  lcd.write(byte(6));
  LCD = analogRead(A0);
}
/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Fonction de mise a "0" des variables et initialisation des entrées/sorties
void setup() {
  garot = 0;
  Tps = 0;
  tpgarot = 0;
  Mc = 0;
  MAS = 0;
  bp = 0;
  bd = 0;
  TAPE = 0;
  TOP = 0;
  var = 0;
  Number = 0;
  RC1 = 0;
  C1 = 0;
  CC1 = 0;
  CC2 = 0;
  C2 = 0;
  RC2 = 0;
  RST = 0;
  RST2 = 0;
  RGAROT = 0;
  speakerPin = 15; //buzzer en broche 15
  pinMode(3, INPUT_PULLUP); //initialisation de la broche en sortie pour les boutons, on active une resistance de tirage car le bouton n'est pas relié
  pinMode(11, INPUT_PULLUP);//au 5 volt.
  pinMode(12, INPUT_PULLUP);//quand le bouton est activé, arduino recoit donc un 0
  pinMode(13, INPUT_PULLUP);
  pinMode(A3, OUTPUT);//initialisation des broches anaolgique en sortie pour les LED
  pinMode(A4, OUTPUT);
  pinMode(A5, OUTPUT);
  pinMode(speakerPin, OUTPUT);//initialisation de la broche en sortie pour le buzzer
  analogWrite(A3, 0);
  analogWrite(A4, 0);
  analogWrite(A5, 0);
  lcd.createChar(1, B);//définition des caractères spéciaux
  lcd.createChar(2, A);
  lcd.createChar(3, C);
  lcd.createChar(4, D);
  lcd.createChar(5, E);
  lcd.createChar(6, F);
  lcd.createChar(0, G);
  randomSeed(analogRead(0));//définition du caractère semi-aléatoire pour la fonction randomSeed()
  Wire.begin();//configuration a "0" de l'ecran LCD et definition de sa taille
  lcd.clear();
  lcd.begin(16, 2);
  ACCEUIL();
  SON();
}
void MISE0()//Fonction de mise a "0" des variables utile pour enchainer les manoeuvres utilisant les memes variables
{
  garot = 0;
  Tps = 0;
  tpgarot = 0;
  Mc = 0;
  MAS = 0;
  bp = 0;
  bd = 0;
  TAPE = 0;
  TOP = 0;
  var = 0;
  Number = 0;
  RC1 = 0;
  C1 = 0;
  CC1 = 0;
  CC2 = 0;
  C2 = 0;
  RC2 = 0;
  RST = 0;
  RST2 = 0;
  RGAROT = 0;
}
/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Fonction pour la manoeuvre du Massage Cardiaque et la manoeuvre d'Heimlich
void SAUV(int CAPT, int TAPNB, int VAR, int COMPTE)
{
  do VAR = digitalRead(CAPT); //le porgramme commence quand le bouton est enfoncé
  while (VAR != 0);
  RC1 = millis(); //le temps de depart est stocker dans une variable
  RC2 = millis(); //la fonction millis() donne en réalité le temps (en millisec) depuis que le programme tourne
  do
  {
    do VAR = digitalRead(CAPT); //test de l'appui
    while (VAR != 0);
    delay(100); //court delai pour eliminer une partie des erreurs de double click
    do VAR = digitalRead(CAPT); //test du lacher de bouton
    while (VAR != 1);
    delay(100); //court delai pour eliminer une partie des erreurs de double click
    COMPTE = COMPTE + 1; //ajout d'un appui a la variable de compte

  }
  while (COMPTE != TAPNB); //test de la variable compte
  CC1 = millis(); //un nouveau stockage dans la variable du temps
  CC2 = millis();
  C1 = (CC1 - RC1);//calcule du temps réel écoulé pendant la maoeuvre
  C2 = (CC2 - RC2);
  COMPTE = 0; //mise a 0 de la variable compte
}
/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Fonction pour la manoeuvre de la compression
void COMPRESSION()
{
  randNumber = random(1, 3); //création d'un nombre aléatoire pour simuler une difference de saignement
  if (randNumber == 1)
  {
    analogWrite(A3, 255); //1 LED sur 3
  }
  else if (randNumber == 2)
  {
    analogWrite(A3, 255);
    analogWrite(A4, 255); //2 LED sur 3
  }
  else
  {
    analogWrite(A3, 255);
    analogWrite(A4, 255);
    analogWrite(A5, 255); //3 LED sur 3
  }
  {
    do
    {
      garot = digitalRead(13); //lecture du bouton
    }
    while (garot == 1); //teste s'il est activé, le teste commence par la suite
    {
      do
      {
        garot = digitalRead(13); //lecure du bouton
        if (garot == 0) //teste du bouton
        {
          tpgarot = tpgarot + 1; //+1 pour la var de reussite
          Tps = Tps + 1; //+1 pour la var de temps
        }
        else//si le bouton est laché, alors la var de reussite n'est pas incrementer
        {
          Tps = Tps + 1; //+1 pour la var de temps
        }
        delay(1);//delai pour le comptage du temps en millisec
      }
      while (Tps != 57675); //teste de la variable temps: 60 min = 60000 millis, le programme prend lui meme (pour les calules) 235 millisec
      Tps = 0; //mise a 0 du la variable temps
      analogWrite(A3, 0); //leds eteintes
      analogWrite(A4, 0);
      analogWrite(A5, 0);
    }
  }
}
/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Fonction pour faire continuer le programme Massage Cardiaque aléatoirement
void ALEA(int CAPT, int TAPNB, int VAR, int COMPTE)
{
  randNumber = random(0, 2); //nombre alétoire
  if (randNumber == 1) //le programme se re-execute une fois
  {
    SAUV(CAPT, TAPNB, VAR, COMPTE);
  }
  else
  {
    if (randNumber == 2) //le programme se re-execute deux fois
    {
      SAUV(CAPT, TAPNB, VAR, COMPTE);
      SAUV(CAPT, TAPNB, VAR, COMPTE);
    }
  } //le programme ne se re-execute pas
}
/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Fonction pour faire continuer le programme Heimlich aleatoirement
void ALEA2()
{
  randNumber = random(0, 2); //nombre alétoire
  if (randNumber == 1) //le programme se re-execute une fois
  {
    SAUV(3, 5, bp, TAPE);
  }
  else
  {
    if (randNumber == 2) //le programme se re-execute deux fois
    {
      SAUV(11, 5, bd, TOP);
      SAUV(3, 5, bp, TAPE);
    }
  } //le programme ne se re-execute pas
}

/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Fonction pour afficher les diverses informations visuelles
void GOMC()
{
  lcd.clear();
  lcd.setCursor(5, 0);
  lcd.print("GOOOOO");
  delay (500);
  lcd.setCursor(2, 1);
  lcd.print("MASSAGE CARD");
  delay(2000);
}
void GOHEIM()
{
  lcd.clear();
  lcd.setCursor(5, 0);
  lcd.print("GOOOOO");
  delay (500);
  lcd.setCursor(4, 1);
  lcd.print("HEIMLICH");
  delay(2000);
}
void GOCOMPRESSION()
{
  lcd.clear();
  lcd.setCursor(5, 0);
  lcd.print("GOOOOO");
  delay (500);
  lcd.setCursor(2, 1);
  lcd.print("COMPRESSION");
  delay(2000);
}
void FINMCGARO()
{
  lcd.clear();
  lcd.setCursor(3, 0);
  lcd.print("LES SECOURS");
  lcd.setCursor(2, 1);
  lcd.print("SONT ARRIVES");
  OK();
}
void FINHEIM()
{
  lcd.clear();
  lcd.setCursor(0, 0);
  lcd.print("LE NOYAU D'OLIVE");
  lcd.setCursor(4, 1);
  lcd.print("EST SORTI");
  OK();
}

void ENCOURS()
{
  lcd.clear();
  lcd.setCursor(4, 0);
  lcd.print("Manoeuvre");
  lcd.setCursor(4, 1);
  lcd.print("En Cours");
  lcd.setCursor(1, 0);
  lcd.write(byte(0));
  lcd.setCursor(14, 0);
  lcd.write(byte(0));
  lcd.setCursor(0, 1);
  lcd.write(byte(0));
  lcd.setCursor(2, 1);
  lcd.write(byte(0));
  lcd.setCursor(13, 1);
  lcd.write(byte(0));
  lcd.setCursor(15, 1);
  lcd.write(byte(0));
}
/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Fonction communicant la conclusion des mesures
void PAS()
{
  lcd.clear();
  do
  {
    lcd.setCursor(3, 0);
    lcd.print("D'apres les");
    lcd.setCursor(5, 1);
    lcd.print("Mesures");
    LCD = analogRead(A0);
  }
  while (LCD > 900);
  delay(500);
  lcd.clear();
  do
  {
    lcd.setCursor(2, 0);
    lcd.print("Vous n'etes");
    lcd.setCursor(2, 1);
    lcd.print("Pas pret-te");
    LCD = analogRead(A0);
  }
  while (LCD > 900);
  delay(500);
}

void PRET()
{
  lcd.clear();
  do
  {
    lcd.setCursor(3, 0);
    lcd.print("D'apres les");
    lcd.setCursor(5, 1);
    lcd.print("Mesures");
    LCD = analogRead(A0);
  }
  while (LCD > 900);
  delay(500);
  lcd.clear();
  do
  {
    lcd.setCursor(3, 0);
    lcd.print("Vous etes");
    lcd.setCursor(5, 1);
    lcd.print("Pret-te");
    LCD = analogRead(A0);
  }
  while (LCD > 900);
  delay(500);
}
/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Fonction ajoutant une indication sur la manoeuvre lors de l'ecran de manipulation
void GA()
{
  lcd.setCursor(0, 0);
  lcd.print("C");
}
void MA()
{
  lcd.setCursor(0, 0);
  lcd.print("M");
}
void HE()
{
  lcd.setCursor(0, 0);
  lcd.print("H");
}
/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Fonction affichant et calculant les résultats
void RESULTACOMPRESSION()
{
  RGAROT = ((tpgarot * 100) / 57675);
  lcd.setCursor(0, 0);
  lcd.print("Taux de Reussite");
  lcd.setCursor(0, 1);
  lcd.print(RGAROT);
  lcd.setCursor(6, 1);
  lcd.print("%");
}

void RESULTAMC()
{
  RST = (1800000/C1);
}

void RESULTAHM()
{
  RST2 = (300000/C2);
}
void AFFICHMC()
{
  lcd.setCursor(0, 0);
  lcd.print("Mes");
  lcd.setCursor(6, 0);
  lcd.print("Ref");
  lcd.setCursor(0, 1);
  lcd.print(RST);
  lcd.setCursor(6, 1);
  lcd.print("100-120P/M");
}

void AFFICH()
{
  lcd.setCursor(0, 0);
  lcd.print("Mes");
  lcd.setCursor(6, 0);
  lcd.print("Ref");
  lcd.setCursor(0, 1);
  lcd.print(RST2);
  lcd.setCursor(6, 1);
  lcd.print("30-60P/M");
}
/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Fonction programmant l'examen aléatoirement
void EXAMEN()
{
  Number = random(3);
  if (Number == 0)
  {
    GOMC();
    ENCOURS();
    MA();
    MAS = 0;
    SAUV(12, 30, Mc, MAS);
    RESULTAMC();
    ALEA(12, 30, Mc, MAS);
    FINMCGARO();
    lcd.clear();
    GOHEIM();
    ENCOURS();
    HE();
    SAUV(3, 5, bp, TAPE);
    SAUV(11, 5, bd, TOP);
    RESULTAHM();
    ALEA2();
    FINHEIM();
    lcd.clear();
    GOCOMPRESSION();
    ENCOURS();
    GA();
    COMPRESSION();
    FINMCGARO();
  }
  else if (Number == 1)
  {
    GOHEIM();
    ENCOURS();
    HE();
    SAUV(3, 5, bp, TAPE);
    SAUV(11, 5, bd, TOP);
    RESULTAHM();
    ALEA2();
    FINHEIM();
    lcd.clear();
    GOCOMPRESSION();
    ENCOURS();
    GA();
    COMPRESSION();
    FINMCGARO();
    lcd.clear();
    GOMC();
    ENCOURS();
    MA();
    MAS = 0;
    SAUV(12, 30, Mc, MAS);
    RESULTAMC();
    ALEA(12, 30, Mc, MAS);
    FINMCGARO();
    lcd.clear();
  }
  else
  {
    GOCOMPRESSION();
    ENCOURS();
    GA();
    COMPRESSION();
    FINMCGARO();
    lcd.clear();
    GOMC();
    ENCOURS();
    MA();
    MAS = 0;
    SAUV(12, 30, Mc, MAS);
    RESULTAMC();
    ALEA(12, 30, Mc, MAS);
    FINMCGARO();
    lcd.clear();
    GOHEIM();
    ENCOURS();
    HE();
    SAUV(3, 5, bp, TAPE);
    SAUV(11, 5, bd, TOP);
    RESULTAHM();
    ALEA2();
    FINHEIM();
  }
  lcd.clear();//Affichage des resultats
  do
  {
    lcd.setCursor(4, 0);
    lcd.print("Resultat");
    LCD = analogRead(A0);
  }
  while (LCD > 900);
  delay(500);
  lcd.clear();
  do
  {
    lcd.setCursor(0, 0);
    lcd.print("Resultat Massage");
    lcd.setCursor(3, 1);
    lcd.print("Cardiaque");
    LCD = analogRead(A0);
  }
  while (LCD > 900);
  delay(500);
  lcd.clear();
  do
  {
    AFFICHMC();
    LCD = analogRead(A0);
  }

  while (LCD > 900);
  delay(500);
  lcd.clear();
  do
  {
    lcd.setCursor(4, 0);
    lcd.print("Resultat");
    lcd.setCursor(4, 1);
    lcd.print("Heimlich");
    LCD = analogRead(A0);
  }
  while (LCD > 900);
  delay(500);
  lcd.clear();
  do
  {
    AFFICH();
    LCD = analogRead(A0);
  }
  while (LCD > 900);
  delay(500);
  lcd.clear();
  do
  {
    lcd.setCursor(4, 0);
    lcd.print("Resultat");
    lcd.setCursor(2, 1);
    lcd.print("Compression");
    LCD = analogRead(A0);
  }
  while (LCD > 900);
  delay(500);
  lcd.clear();
  do
  {
    RESULTACOMPRESSION();
    LCD = analogRead(A0);
  }
  while (LCD > 900);//teste des mesures pour emmetre un jugement 
  delay(500);
  if (RST > 120)
  {
    PAS();
  }
  else if (RST2 > 60)
  {
    PAS();
  }
  else if (RST < 100)
  {
    PAS();
  }
  else if (RST2 < 30)
  {
    PAS();
  }
  else if (RGAROT < 80)
  {
    PAS();
  }
  else
  {
    PRET();
  }
  lcd.clear();
  delay(500);
}

/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Fonction pour coder le menu 1 (1ere position)
void MENUEXA1(void MAINMENU())
{
  do
  {
    lcd.setCursor(1, 0);
    lcd.print("Entrainement");
    lcd.setCursor(1, 1);
    lcd.print("Examen");
    lcd.setCursor(0, 1);
    lcd.print(">");
    var = analogRead(A0);
  }

  while (var > 900);

  if (var > 150)
  {
    delay(500);
    lcd.clear();
    MAINMENU();

  }

  else if (var < 150)
  {
    delay(500);
    EXAMEN();
  }
}

/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Fonction pour coder le menu 2
void MENUM()
{
  do
  {
    lcd.setCursor(1, 0);
    lcd.print("Massage Card");
    lcd.setCursor(1, 1);
    lcd.print("Heimlich");
    lcd.setCursor(0, 0);
    lcd.print(">");
    lcd.setCursor (15, 1);
    lcd.write(byte(2)); // Down arrow
    var = analogRead(A0);
  }

  while (var > 900);

  if (var > 300)
  {
    delay(500);
    lcd.clear();
    MENUH();
  }
  else if (var < 100)
  {
    GOMC();
    ENCOURS();
    MA();
    MAS = 0;
    SAUV(12, 30, Mc, MAS);
    RESULTAMC();
    ALEA(12, 30, Mc, MAS);
    FINMCGARO();
    lcd.clear();
    do
    {
      lcd.setCursor(0, 0);
      lcd.print("Resultat Massage");
      lcd.setCursor(3, 1);
      lcd.print("Cardiaque");
      LCD = analogRead(A0);
    }
    while (LCD > 900);
    delay(500);
    lcd.clear();
    do
    {
      AFFICHMC();
      LCD = analogRead(A0);
    }
    while (LCD > 900);
    delay(500);
    lcd.clear();
  }
}

void MENUG()
{
  do
  {
    lcd.setCursor(1, 0);
    lcd.print("Heimlich");
    lcd.setCursor(1, 1);
    lcd.print("Compression");
    lcd.setCursor(0, 1);
    lcd.print(">");
    lcd.setCursor (15, 0);
    lcd.write(byte(1));
    var = analogRead(A0);
  }

  while (var > 900);

  if (var > 150)
  {
    delay(500);
    lcd.clear();
    MENUH();
  }
  else if (var < 100)
  {
    GOCOMPRESSION();
    ENCOURS();
    GA();
    COMPRESSION();
    FINMCGARO();
    lcd.clear();
    do
    {
      lcd.setCursor(4, 0);
      lcd.print("Resultat");
      lcd.setCursor(2, 1);
      lcd.print("Compression");
      LCD = analogRead(A0);
    }
    while (LCD > 900);
    delay(500);
    lcd.clear();
    do
    {
      RESULTACOMPRESSION();
      LCD = analogRead(A0);
    }
    while (LCD > 900);
    delay(500);
    lcd.clear();

  }
}
void MENUH()
{
  do
  {
    lcd.setCursor(1, 0);
    lcd.print("Heimlich");
    lcd.setCursor(1, 1);
    lcd.print("Compression");
    lcd.setCursor(0, 0);
    lcd.print(">");
    lcd.setCursor (15, 0);
    lcd.write(1);
    var = analogRead(A0);
  }

  while (var > 900);

  if (var > 300)
  {
    delay(500);
    lcd.clear();
    MENUG();
  }
  else if (var > 150)
  {
    delay(500);
    lcd.clear();
    MENUM();
  }
  else if (var < 100)
  {
    GOHEIM();
    ENCOURS();
    HE();
    SAUV(3, 5, bp, TAPE);
    SAUV(11, 5, bd, TOP);
    RESULTAHM();
    ALEA2();
    FINMCGARO();
       lcd.clear();
    do
    {
      lcd.setCursor(4, 0);
      lcd.print("Resultat");
      lcd.setCursor(4, 1);
      lcd.print("Heimlich");
      LCD = analogRead(A0);
    }
    while (LCD > 900);
    delay(500);
    lcd.clear();
    do
    {
      AFFICH();
      LCD = analogRead(A0);
    }
    while (LCD > 900);
    delay(500);
    lcd.clear();
  }
}
/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Fonction pour coder le menu 1 (2e position)
void MAINMENU()
{
  {
    do
    {
      lcd.setCursor(1, 0);
      lcd.print("Entrainement");
      lcd.setCursor(1, 1);
      lcd.print("Examen");
      lcd.setCursor(0, 0);
      lcd.print(">");
      LCD = analogRead(A0);
    }
    while (LCD > 900);
    if (LCD > 350)
    {
      delay(500);
      lcd.clear();
      MENUEXA1(MAINMENU);

    }
    else if (LCD < 100)
    {
      delay(500);
      MENUM();

    }
  }
}

/*****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
//Fonction qui execute le programme en boucle
void loop()
{
  MISE0();
  do
  {
    ACCEUIL();
    LCD = analogRead(A0);
  }
  while (LCD > 900);
  lcd.clear();
  delay(500);
  MAINMENU();
}

